---
- name: Prepare
  hosts: all
  gather_facts: false
  tasks:
    - name: Install python for Ansible
      raw: |
        pkg_add python%3.6 py3-pip
        ln -sf /usr/local/bin/python3.6 /usr/local/bin/python3
        ln -sf /usr/local/bin/2to3-3.6 /usr/local/bin/2to3
        ln -sf /usr/local/bin/python3.6m /usr/local/bin/python3m
        ln -sf /usr/local/bin/python3.6m-config /usr/local/bin/python3m-config
        ln -sf /usr/local/bin/pyvenv-3.6 /usr/local/bin/pyvenv-3
        ln -sf /usr/local/bin/easy_install-3.6 /usr/local/bin/easy_install-3
        ln -sf /usr/local/bin/pip3.6 /usr/local/bin/pip3

        pip3 install --upgrade pip
      become: true
      changed_when: false
